CRMchat APIBeta
Telegram APIMessages

messages.getSuggestedDialogFilters

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.getSuggestedDialogFilters

Get suggested folders

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getSuggestedDialogFilters" \  -H "Content-Type: application/json" \  -d '{    "params": {}  }'
{  "result": {    "_": "dialogFilterSuggested",    "filter": {      "_": "dialogFilter",      "contacts": true,      "nonContacts": true,      "groups": true,      "broadcasts": true,      "bots": true,      "excludeMuted": true,      "excludeRead": true,      "excludeArchived": true,      "titleNoanimate": true,      "id": 0,      "title": {        "_": "textWithEntities",        "text": "string",        "entities": [          {            "_": "messageEntityUnknown",            "offset": 0,            "length": 0          }        ]      },      "emoticon": "string",      "color": 0,      "pinnedPeers": [        {          "_": "inputPeerEmpty"        }      ],      "includePeers": [        {          "_": "inputPeerEmpty"        }      ],      "excludePeers": [        {          "_": "inputPeerEmpty"        }      ]    },    "description": "string"  }}